Package org.opensaml.saml.saml2.core.impl

# Class StatusCodeImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.saml.saml2.core.impl.StatusCodeImpl

All Implemented Interfaces:
  `XMLObject`, `SAMLObject`, `StatusCode`

public class StatusCodeImpl extends AbstractXMLObject implements StatusCode
Concrete implementation of `StatusCode`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private StatusCode`
`childStatusCode`
Nested secondary StatusCode child element.
`private String`
`value`
Value attribute URI.

### Fields inherited from interface org.opensaml.saml.saml2.core.StatusCode

`AUTHN_FAILED, DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, INVALID_ATTR_NAME_OR_VALUE, INVALID_NAMEID_POLICY, NO_AUTHN_CONTEXT, NO_AVAILABLE_IDP, NO_PASSIVE, NO_SUPPORTED_IDP, PARTIAL_LOGOUT, PROXY_COUNT_EXCEEDED, REQUEST_DENIED, REQUEST_UNSUPPORTED, REQUEST_VERSION_DEPRECATED, REQUEST_VERSION_TOO_HIGH, REQUEST_VERSION_TOO_LOW, REQUESTER, RESOURCE_NOT_RECOGNIZED, RESPONDER, SUCCESS, TOO_MANY_RESPONSES, TYPE_LOCAL_NAME, TYPE_NAME, UNKNOWN_ATTR_PROFILE, UNKNOWN_PRINCIPAL, UNSUPPORTED_BINDING, VALUE_ATTRIB_NAME, VERSION_MISMATCH`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`StatusCodeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`StatusCode`
`getStatusCode()`
Gets the Status Code of this Status Code.
`String`
`getValue()`
Gets the Value of this Status Code.
`void`
`setStatusCode(StatusCode newStatusCode)`
Sets the Status Code of this Status Code.
`void`
`setValue(String newValue)`
Sets the Value of this Status Code.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### value

@Nullable private String value
Value attribute URI.

### childStatusCode

@Nullable private StatusCode childStatusCode
Nested secondary StatusCode child element.

## Constructor Details

### StatusCodeImpl

protected StatusCodeImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getStatusCode

@Nullable public StatusCode getStatusCode()
Gets the Status Code of this Status Code.

Specified by:
  `getStatusCode` in interface `StatusCode`
Returns:
  StatusCode StatusCode

### setStatusCode

public void setStatusCode(@Nullable StatusCode newStatusCode)
Sets the Status Code of this Status Code.

Specified by:
  `setStatusCode` in interface `StatusCode`
Parameters:
  `newStatusCode` - the Status Code of this Status Code.

### getValue

@Nullable public String getValue()
Gets the Value of this Status Code.

Specified by:
  `getValue` in interface `StatusCode`
Returns:
  StatusCode Value

### setValue

public void setValue(@Nullable String newValue)
Sets the Value of this Status Code.

Specified by:
  `setValue` in interface `StatusCode`
Parameters:
  `newValue` - the Value of this Status Code

### getOrderedChildren

@Nullable @NotLive @Unmodifiable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements